Subject: Re: Documentation for 169.254?

From: John Border <[email-masked]>
Date: Fri, 02 Nov 2001 11:24:02 -0500

Are you refering to RFC 2563 (DHCP Option to Disable Stateless
Auto-Configuration in IPv4 Clients) or something else?  We are looking at
using this mechanism and if there are issues with it, I want to make sure I
understand them...

John

Bill Manning wrote:
> 
> %
> % Sorry to barge in with a technical, standards-related question. It
> % seems that there is a common practice that when a host asks for an
> % IPv4 address, such as through DHCP, but the host isn't attached to
> % the network, that the software gives it an address of 169.254.x.y. Is
> % this documented in any RFC? Should it be?
> %
> % --Paul Hoffman, Director
> % --VPN Consortium
> %
> 
> It was documented a year after its delegation in a now expired draft
> by Richard Troll.  There is an RFC that describes problems with auto
> configuration using this prefix.  There is also a current draft in/from
> zeroconf that talks about this prefix.  I've had a draft that describes
> this prefix killed a couple of times by the IESG/IAB.
> The prefix was originally delegated after the LA IETF. You'll find a
> brief mention of the action on the last page fo the DHCP wg minutes.
> 
> --
> --bill

---

From: Thomas Narten <[email-masked]>
Date: Fri, 02 Nov 2001 13:42:57 -0500

> using this mechanism and if there are issues with it, I want to make sure I

You should look at draft-ietf-zeroconf-ipv4-linklocal-04.txt. That
document has gone through IETF Last Call, but issues have been raised
that require further clarification.  If you have any further
questions, bring them up in the zeroconf WG:

     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe zeroconf your_email_address
     Archive:           http://www.merit.edu/mail.archives/zeroconf/

Thomas

---

From: Bill Manning <[email-masked]>
Date: Fri, 2 Nov 2001 15:23:14 -0800 (PST)

Yes, that draft covers how to disable the assignment of an address
in the 169.254.0.0/16 prefix.  The ZeroConf WG has the current 
version of of a draft that describes how stateless autoconfiguration
works and actually (re)specifies the prefix.

% 
% 
% Are you refering to RFC 2563 (DHCP Option to Disable Stateless
% Auto-Configuration in IPv4 Clients) or something else?  We are looking at
% using this mechanism and if there are issues with it, I want to make sure I
% understand them...
% 
% 
% John
% 
% 
% Bill Manning wrote:
% > 
% > %
% > % Sorry to barge in with a technical, standards-related question. It
% > % seems that there is a common practice that when a host asks for an
% > % IPv4 address, such as through DHCP, but the host isn't attached to
% > % the network, that the software gives it an address of 169.254.x.y. Is
% > % this documented in any RFC? Should it be?
% > %
% > % --Paul Hoffman, Director
% > % --VPN Consortium
% > %
% > 
% > It was documented a year after its delegation in a now expired draft
% > by Richard Troll.  There is an RFC that describes problems with auto
% > configuration using this prefix.  There is also a current draft in/from
% > zeroconf that talks about this prefix.  I've had a draft that describes
% > this prefix killed a couple of times by the IESG/IAB.
% > The prefix was originally delegated after the LA IETF. You'll find a
% > brief mention of the action on the last page fo the DHCP wg minutes.
% > 
% > --
% > --bill
% 

-- 
--bill